Bug 112788 - libaio.so.1 is not symlink
Summary: libaio.so.1 is not symlink
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: libaio   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Moyer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-31 21:25 UTC by Paul Nasrat
Modified: 2007-04-18 17:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-14 17:31:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Nasrat 2003-12-31 21:25:45 UTC
Description of problem:

both prelink and ldconfig fail on libaio.so.1

Version-Release number of selected component (if applicable):

[paul@enki paul]$ rpm -qf /usr/lib/libaio.so.1
libaio-0.3.93-4

How reproducible:

Always

Steps to Reproduce:
1./sbin/ldconfig

  
Actual results:
/usr/lib/libaio.so.1 is not a symbolic link

Expected results:

Silent ldconfig run

Additional info:

[paul@enki paul]$ ls -l /usr/lib/libaio*
-rw-r--r--  1 root root 8600 Feb 17  2003 /usr/lib/libaio.a
lrwxrwxrwx  1 root root   11 Aug  2 17:41 /usr/lib/libaio.so ->
libaio.so.1
-rwxr-xr-x  1 root root 3368 Feb 17  2003 /usr/lib/libaio.so.1
-rwxr-xr-x  1 root root 3368 Feb 17  2003
/usr/lib/libaio.so.1.#prelink#.kCgYQo

Comment 1 Jeff Moyer 2004-03-30 22:24:51 UTC
I'll address this in the next release of libaio.  Thanks.

Comment 2 Jeff Moyer 2004-04-14 18:22:11 UTC
This should be fixed in rawhide, now.  Please test and confirm. 
libaio-0.3.99-2 is the new version.

-Jeff


Note You need to log in before you can comment on or make changes to this bug.